<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_201) on Tue Jun 11 21:47:08 AEST 2019 -->
<title>UtilityCommands (worldedit-core 7.0.0 API)</title>
<meta name="date" content="2019-06-11">
<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="UtilityCommands (worldedit-core 7.0.0 API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10,"i14":10,"i15":10,"i16":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../com/sk89q/worldedit/command/ToolUtilCommands.html" title="class in com.sk89q.worldedit.command"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../com/sk89q/worldedit/command/WorldEditCommands.html" title="class in com.sk89q.worldedit.command"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?com/sk89q/worldedit/command/UtilityCommands.html" target="_top">Frames</a></li>
<li><a href="UtilityCommands.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">com.sk89q.worldedit.command</div>
<h2 title="Class UtilityCommands" class="title">Class UtilityCommands</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>com.sk89q.worldedit.command.UtilityCommands</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public class <span class="typeNameLabel">UtilityCommands</span>
extends java.lang.Object</pre>
<div class="block">Utility commands.</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/command/UtilityCommands.html#UtilityCommands-com.sk89q.worldedit.WorldEdit-">UtilityCommands</a></span>(<a href="../../../../com/sk89q/worldedit/WorldEdit.html" title="class in com.sk89q.worldedit">WorldEdit</a>&nbsp;we)</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/command/UtilityCommands.html#butcher-com.sk89q.worldedit.extension.platform.Actor-java.lang.Integer-boolean-boolean-boolean-boolean-boolean-boolean-boolean-boolean-">butcher</a></span>(<a href="../../../../com/sk89q/worldedit/extension/platform/Actor.html" title="interface in com.sk89q.worldedit.extension.platform">Actor</a>&nbsp;actor,
       java.lang.Integer&nbsp;radius,
       boolean&nbsp;killPets,
       boolean&nbsp;killNpcs,
       boolean&nbsp;killGolems,
       boolean&nbsp;killAnimals,
       boolean&nbsp;killAmbient,
       boolean&nbsp;killWithName,
       boolean&nbsp;killFriendly,
       boolean&nbsp;killArmorStands)</code>&nbsp;</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/command/UtilityCommands.html#calc-com.sk89q.worldedit.extension.platform.Actor-java.util.List-">calc</a></span>(<a href="../../../../com/sk89q/worldedit/extension/platform/Actor.html" title="interface in com.sk89q.worldedit.extension.platform">Actor</a>&nbsp;actor,
    java.util.List&lt;java.lang.String&gt;&nbsp;input)</code>&nbsp;</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/command/UtilityCommands.html#drain-com.sk89q.worldedit.entity.Player-com.sk89q.worldedit.LocalSession-com.sk89q.worldedit.EditSession-double-boolean-">drain</a></span>(<a href="../../../../com/sk89q/worldedit/entity/Player.html" title="interface in com.sk89q.worldedit.entity">Player</a>&nbsp;player,
     <a href="../../../../com/sk89q/worldedit/LocalSession.html" title="class in com.sk89q.worldedit">LocalSession</a>&nbsp;session,
     <a href="../../../../com/sk89q/worldedit/EditSession.html" title="class in com.sk89q.worldedit">EditSession</a>&nbsp;editSession,
     double&nbsp;radius,
     boolean&nbsp;waterlogged)</code>&nbsp;</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/command/UtilityCommands.html#extinguish-com.sk89q.worldedit.entity.Player-com.sk89q.worldedit.LocalSession-com.sk89q.worldedit.EditSession-java.lang.Integer-">extinguish</a></span>(<a href="../../../../com/sk89q/worldedit/entity/Player.html" title="interface in com.sk89q.worldedit.entity">Player</a>&nbsp;player,
          <a href="../../../../com/sk89q/worldedit/LocalSession.html" title="class in com.sk89q.worldedit">LocalSession</a>&nbsp;session,
          <a href="../../../../com/sk89q/worldedit/EditSession.html" title="class in com.sk89q.worldedit">EditSession</a>&nbsp;editSession,
          java.lang.Integer&nbsp;radius)</code>&nbsp;</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/command/UtilityCommands.html#fill-com.sk89q.worldedit.entity.Player-com.sk89q.worldedit.LocalSession-com.sk89q.worldedit.EditSession-com.sk89q.worldedit.function.pattern.Pattern-double-int-">fill</a></span>(<a href="../../../../com/sk89q/worldedit/entity/Player.html" title="interface in com.sk89q.worldedit.entity">Player</a>&nbsp;player,
    <a href="../../../../com/sk89q/worldedit/LocalSession.html" title="class in com.sk89q.worldedit">LocalSession</a>&nbsp;session,
    <a href="../../../../com/sk89q/worldedit/EditSession.html" title="class in com.sk89q.worldedit">EditSession</a>&nbsp;editSession,
    <a href="../../../../com/sk89q/worldedit/function/pattern/Pattern.html" title="interface in com.sk89q.worldedit.function.pattern">Pattern</a>&nbsp;pattern,
    double&nbsp;radius,
    int&nbsp;depth)</code>&nbsp;</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/command/UtilityCommands.html#fillr-com.sk89q.worldedit.entity.Player-com.sk89q.worldedit.LocalSession-com.sk89q.worldedit.EditSession-com.sk89q.worldedit.function.pattern.Pattern-double-java.lang.Integer-">fillr</a></span>(<a href="../../../../com/sk89q/worldedit/entity/Player.html" title="interface in com.sk89q.worldedit.entity">Player</a>&nbsp;player,
     <a href="../../../../com/sk89q/worldedit/LocalSession.html" title="class in com.sk89q.worldedit">LocalSession</a>&nbsp;session,
     <a href="../../../../com/sk89q/worldedit/EditSession.html" title="class in com.sk89q.worldedit">EditSession</a>&nbsp;editSession,
     <a href="../../../../com/sk89q/worldedit/function/pattern/Pattern.html" title="interface in com.sk89q.worldedit.function.pattern">Pattern</a>&nbsp;pattern,
     double&nbsp;radius,
     java.lang.Integer&nbsp;depth)</code>&nbsp;</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/command/UtilityCommands.html#fixLava-com.sk89q.worldedit.entity.Player-com.sk89q.worldedit.LocalSession-com.sk89q.worldedit.EditSession-double-">fixLava</a></span>(<a href="../../../../com/sk89q/worldedit/entity/Player.html" title="interface in com.sk89q.worldedit.entity">Player</a>&nbsp;player,
       <a href="../../../../com/sk89q/worldedit/LocalSession.html" title="class in com.sk89q.worldedit">LocalSession</a>&nbsp;session,
       <a href="../../../../com/sk89q/worldedit/EditSession.html" title="class in com.sk89q.worldedit">EditSession</a>&nbsp;editSession,
       double&nbsp;radius)</code>&nbsp;</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/command/UtilityCommands.html#fixWater-com.sk89q.worldedit.entity.Player-com.sk89q.worldedit.LocalSession-com.sk89q.worldedit.EditSession-double-">fixWater</a></span>(<a href="../../../../com/sk89q/worldedit/entity/Player.html" title="interface in com.sk89q.worldedit.entity">Player</a>&nbsp;player,
        <a href="../../../../com/sk89q/worldedit/LocalSession.html" title="class in com.sk89q.worldedit">LocalSession</a>&nbsp;session,
        <a href="../../../../com/sk89q/worldedit/EditSession.html" title="class in com.sk89q.worldedit">EditSession</a>&nbsp;editSession,
        double&nbsp;radius)</code>&nbsp;</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/command/UtilityCommands.html#green-com.sk89q.worldedit.entity.Player-com.sk89q.worldedit.LocalSession-com.sk89q.worldedit.EditSession-double-boolean-">green</a></span>(<a href="../../../../com/sk89q/worldedit/entity/Player.html" title="interface in com.sk89q.worldedit.entity">Player</a>&nbsp;player,
     <a href="../../../../com/sk89q/worldedit/LocalSession.html" title="class in com.sk89q.worldedit">LocalSession</a>&nbsp;session,
     <a href="../../../../com/sk89q/worldedit/EditSession.html" title="class in com.sk89q.worldedit">EditSession</a>&nbsp;editSession,
     double&nbsp;size,
     boolean&nbsp;convertCoarse)</code>&nbsp;</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/command/UtilityCommands.html#help-com.sk89q.worldedit.extension.platform.Actor-boolean-int-java.util.List-">help</a></span>(<a href="../../../../com/sk89q/worldedit/extension/platform/Actor.html" title="interface in com.sk89q.worldedit.extension.platform">Actor</a>&nbsp;actor,
    boolean&nbsp;listSubCommands,
    int&nbsp;page,
    java.util.List&lt;java.lang.String&gt;&nbsp;command)</code>&nbsp;</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/command/UtilityCommands.html#remove-com.sk89q.worldedit.extension.platform.Actor-com.sk89q.worldedit.command.util.EntityRemover-int-">remove</a></span>(<a href="../../../../com/sk89q/worldedit/extension/platform/Actor.html" title="interface in com.sk89q.worldedit.extension.platform">Actor</a>&nbsp;actor,
      <a href="../../../../com/sk89q/worldedit/command/util/EntityRemover.html" title="class in com.sk89q.worldedit.command.util">EntityRemover</a>&nbsp;remover,
      int&nbsp;radius)</code>&nbsp;</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/command/UtilityCommands.html#removeAbove-com.sk89q.worldedit.entity.Player-com.sk89q.worldedit.LocalSession-com.sk89q.worldedit.EditSession-int-java.lang.Integer-">removeAbove</a></span>(<a href="../../../../com/sk89q/worldedit/entity/Player.html" title="interface in com.sk89q.worldedit.entity">Player</a>&nbsp;player,
           <a href="../../../../com/sk89q/worldedit/LocalSession.html" title="class in com.sk89q.worldedit">LocalSession</a>&nbsp;session,
           <a href="../../../../com/sk89q/worldedit/EditSession.html" title="class in com.sk89q.worldedit">EditSession</a>&nbsp;editSession,
           int&nbsp;size,
           java.lang.Integer&nbsp;height)</code>&nbsp;</td>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/command/UtilityCommands.html#removeBelow-com.sk89q.worldedit.entity.Player-com.sk89q.worldedit.LocalSession-com.sk89q.worldedit.EditSession-int-java.lang.Integer-">removeBelow</a></span>(<a href="../../../../com/sk89q/worldedit/entity/Player.html" title="interface in com.sk89q.worldedit.entity">Player</a>&nbsp;player,
           <a href="../../../../com/sk89q/worldedit/LocalSession.html" title="class in com.sk89q.worldedit">LocalSession</a>&nbsp;session,
           <a href="../../../../com/sk89q/worldedit/EditSession.html" title="class in com.sk89q.worldedit">EditSession</a>&nbsp;editSession,
           int&nbsp;size,
           java.lang.Integer&nbsp;height)</code>&nbsp;</td>
</tr>
<tr id="i13" class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/command/UtilityCommands.html#removeNear-com.sk89q.worldedit.entity.Player-com.sk89q.worldedit.LocalSession-com.sk89q.worldedit.EditSession-com.sk89q.worldedit.function.mask.Mask-int-">removeNear</a></span>(<a href="../../../../com/sk89q/worldedit/entity/Player.html" title="interface in com.sk89q.worldedit.entity">Player</a>&nbsp;player,
          <a href="../../../../com/sk89q/worldedit/LocalSession.html" title="class in com.sk89q.worldedit">LocalSession</a>&nbsp;session,
          <a href="../../../../com/sk89q/worldedit/EditSession.html" title="class in com.sk89q.worldedit">EditSession</a>&nbsp;editSession,
          <a href="../../../../com/sk89q/worldedit/function/mask/Mask.html" title="interface in com.sk89q.worldedit.function.mask">Mask</a>&nbsp;mask,
          int&nbsp;radius)</code>&nbsp;</td>
</tr>
<tr id="i14" class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/command/UtilityCommands.html#replaceNear-com.sk89q.worldedit.entity.Player-com.sk89q.worldedit.LocalSession-com.sk89q.worldedit.EditSession-int-com.sk89q.worldedit.function.mask.Mask-com.sk89q.worldedit.function.pattern.Pattern-">replaceNear</a></span>(<a href="../../../../com/sk89q/worldedit/entity/Player.html" title="interface in com.sk89q.worldedit.entity">Player</a>&nbsp;player,
           <a href="../../../../com/sk89q/worldedit/LocalSession.html" title="class in com.sk89q.worldedit">LocalSession</a>&nbsp;session,
           <a href="../../../../com/sk89q/worldedit/EditSession.html" title="class in com.sk89q.worldedit">EditSession</a>&nbsp;editSession,
           int&nbsp;radius,
           <a href="../../../../com/sk89q/worldedit/function/mask/Mask.html" title="interface in com.sk89q.worldedit.function.mask">Mask</a>&nbsp;from,
           <a href="../../../../com/sk89q/worldedit/function/pattern/Pattern.html" title="interface in com.sk89q.worldedit.function.pattern">Pattern</a>&nbsp;to)</code>&nbsp;</td>
</tr>
<tr id="i15" class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/command/UtilityCommands.html#snow-com.sk89q.worldedit.entity.Player-com.sk89q.worldedit.LocalSession-com.sk89q.worldedit.EditSession-double-">snow</a></span>(<a href="../../../../com/sk89q/worldedit/entity/Player.html" title="interface in com.sk89q.worldedit.entity">Player</a>&nbsp;player,
    <a href="../../../../com/sk89q/worldedit/LocalSession.html" title="class in com.sk89q.worldedit">LocalSession</a>&nbsp;session,
    <a href="../../../../com/sk89q/worldedit/EditSession.html" title="class in com.sk89q.worldedit">EditSession</a>&nbsp;editSession,
    double&nbsp;size)</code>&nbsp;</td>
</tr>
<tr id="i16" class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/command/UtilityCommands.html#thaw-com.sk89q.worldedit.entity.Player-com.sk89q.worldedit.LocalSession-com.sk89q.worldedit.EditSession-double-">thaw</a></span>(<a href="../../../../com/sk89q/worldedit/entity/Player.html" title="interface in com.sk89q.worldedit.entity">Player</a>&nbsp;player,
    <a href="../../../../com/sk89q/worldedit/LocalSession.html" title="class in com.sk89q.worldedit">LocalSession</a>&nbsp;session,
    <a href="../../../../com/sk89q/worldedit/EditSession.html" title="class in com.sk89q.worldedit">EditSession</a>&nbsp;editSession,
    double&nbsp;size)</code>&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="UtilityCommands-com.sk89q.worldedit.WorldEdit-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>UtilityCommands</h4>
<pre>public&nbsp;UtilityCommands(<a href="../../../../com/sk89q/worldedit/WorldEdit.html" title="class in com.sk89q.worldedit">WorldEdit</a>&nbsp;we)</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="fill-com.sk89q.worldedit.entity.Player-com.sk89q.worldedit.LocalSession-com.sk89q.worldedit.EditSession-com.sk89q.worldedit.function.pattern.Pattern-double-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>fill</h4>
<pre>public&nbsp;int&nbsp;fill(<a href="../../../../com/sk89q/worldedit/entity/Player.html" title="interface in com.sk89q.worldedit.entity">Player</a>&nbsp;player,
                <a href="../../../../com/sk89q/worldedit/LocalSession.html" title="class in com.sk89q.worldedit">LocalSession</a>&nbsp;session,
                <a href="../../../../com/sk89q/worldedit/EditSession.html" title="class in com.sk89q.worldedit">EditSession</a>&nbsp;editSession,
                @Arg(desc="The blocks to fill with")
                <a href="../../../../com/sk89q/worldedit/function/pattern/Pattern.html" title="interface in com.sk89q.worldedit.function.pattern">Pattern</a>&nbsp;pattern,
                @Arg(desc="The radius to fill in")
                double&nbsp;radius,
                @Arg(desc="The depth to fill",def="1")
                int&nbsp;depth)
         throws <a href="../../../../com/sk89q/worldedit/WorldEditException.html" title="class in com.sk89q.worldedit">WorldEditException</a></pre>
<dl>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../../../../com/sk89q/worldedit/WorldEditException.html" title="class in com.sk89q.worldedit">WorldEditException</a></code></dd>
</dl>
</li>
</ul>
<a name="fillr-com.sk89q.worldedit.entity.Player-com.sk89q.worldedit.LocalSession-com.sk89q.worldedit.EditSession-com.sk89q.worldedit.function.pattern.Pattern-double-java.lang.Integer-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>fillr</h4>
<pre>public&nbsp;int&nbsp;fillr(<a href="../../../../com/sk89q/worldedit/entity/Player.html" title="interface in com.sk89q.worldedit.entity">Player</a>&nbsp;player,
                 <a href="../../../../com/sk89q/worldedit/LocalSession.html" title="class in com.sk89q.worldedit">LocalSession</a>&nbsp;session,
                 <a href="../../../../com/sk89q/worldedit/EditSession.html" title="class in com.sk89q.worldedit">EditSession</a>&nbsp;editSession,
                 @Arg(desc="The blocks to fill with")
                 <a href="../../../../com/sk89q/worldedit/function/pattern/Pattern.html" title="interface in com.sk89q.worldedit.function.pattern">Pattern</a>&nbsp;pattern,
                 @Arg(desc="The radius to fill in")
                 double&nbsp;radius,
                 @Arg(desc="The depth to fill",def="")
                 java.lang.Integer&nbsp;depth)
          throws <a href="../../../../com/sk89q/worldedit/WorldEditException.html" title="class in com.sk89q.worldedit">WorldEditException</a></pre>
<dl>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../../../../com/sk89q/worldedit/WorldEditException.html" title="class in com.sk89q.worldedit">WorldEditException</a></code></dd>
</dl>
</li>
</ul>
<a name="drain-com.sk89q.worldedit.entity.Player-com.sk89q.worldedit.LocalSession-com.sk89q.worldedit.EditSession-double-boolean-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>drain</h4>
<pre>public&nbsp;int&nbsp;drain(<a href="../../../../com/sk89q/worldedit/entity/Player.html" title="interface in com.sk89q.worldedit.entity">Player</a>&nbsp;player,
                 <a href="../../../../com/sk89q/worldedit/LocalSession.html" title="class in com.sk89q.worldedit">LocalSession</a>&nbsp;session,
                 <a href="../../../../com/sk89q/worldedit/EditSession.html" title="class in com.sk89q.worldedit">EditSession</a>&nbsp;editSession,
                 @Arg(desc="The radius to drain")
                 double&nbsp;radius,
                 @Switch(name=119,desc="Also un-waterlog blocks")
                 boolean&nbsp;waterlogged)
          throws <a href="../../../../com/sk89q/worldedit/WorldEditException.html" title="class in com.sk89q.worldedit">WorldEditException</a></pre>
<dl>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../../../../com/sk89q/worldedit/WorldEditException.html" title="class in com.sk89q.worldedit">WorldEditException</a></code></dd>
</dl>
</li>
</ul>
<a name="fixLava-com.sk89q.worldedit.entity.Player-com.sk89q.worldedit.LocalSession-com.sk89q.worldedit.EditSession-double-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>fixLava</h4>
<pre>public&nbsp;int&nbsp;fixLava(<a href="../../../../com/sk89q/worldedit/entity/Player.html" title="interface in com.sk89q.worldedit.entity">Player</a>&nbsp;player,
                   <a href="../../../../com/sk89q/worldedit/LocalSession.html" title="class in com.sk89q.worldedit">LocalSession</a>&nbsp;session,
                   <a href="../../../../com/sk89q/worldedit/EditSession.html" title="class in com.sk89q.worldedit">EditSession</a>&nbsp;editSession,
                   @Arg(desc="The radius to fix in")
                   double&nbsp;radius)
            throws <a href="../../../../com/sk89q/worldedit/WorldEditException.html" title="class in com.sk89q.worldedit">WorldEditException</a></pre>
<dl>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../../../../com/sk89q/worldedit/WorldEditException.html" title="class in com.sk89q.worldedit">WorldEditException</a></code></dd>
</dl>
</li>
</ul>
<a name="fixWater-com.sk89q.worldedit.entity.Player-com.sk89q.worldedit.LocalSession-com.sk89q.worldedit.EditSession-double-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>fixWater</h4>
<pre>public&nbsp;int&nbsp;fixWater(<a href="../../../../com/sk89q/worldedit/entity/Player.html" title="interface in com.sk89q.worldedit.entity">Player</a>&nbsp;player,
                    <a href="../../../../com/sk89q/worldedit/LocalSession.html" title="class in com.sk89q.worldedit">LocalSession</a>&nbsp;session,
                    <a href="../../../../com/sk89q/worldedit/EditSession.html" title="class in com.sk89q.worldedit">EditSession</a>&nbsp;editSession,
                    @Arg(desc="The radius to fix in")
                    double&nbsp;radius)
             throws <a href="../../../../com/sk89q/worldedit/WorldEditException.html" title="class in com.sk89q.worldedit">WorldEditException</a></pre>
<dl>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../../../../com/sk89q/worldedit/WorldEditException.html" title="class in com.sk89q.worldedit">WorldEditException</a></code></dd>
</dl>
</li>
</ul>
<a name="removeAbove-com.sk89q.worldedit.entity.Player-com.sk89q.worldedit.LocalSession-com.sk89q.worldedit.EditSession-int-java.lang.Integer-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>removeAbove</h4>
<pre>public&nbsp;int&nbsp;removeAbove(<a href="../../../../com/sk89q/worldedit/entity/Player.html" title="interface in com.sk89q.worldedit.entity">Player</a>&nbsp;player,
                       <a href="../../../../com/sk89q/worldedit/LocalSession.html" title="class in com.sk89q.worldedit">LocalSession</a>&nbsp;session,
                       <a href="../../../../com/sk89q/worldedit/EditSession.html" title="class in com.sk89q.worldedit">EditSession</a>&nbsp;editSession,
                       @Arg(desc="The apothem of the square to remove from",def="1")
                       int&nbsp;size,
                       @Arg(desc="The maximum height above you to remove from",def="")
                       java.lang.Integer&nbsp;height)
                throws <a href="../../../../com/sk89q/worldedit/WorldEditException.html" title="class in com.sk89q.worldedit">WorldEditException</a></pre>
<dl>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../../../../com/sk89q/worldedit/WorldEditException.html" title="class in com.sk89q.worldedit">WorldEditException</a></code></dd>
</dl>
</li>
</ul>
<a name="removeBelow-com.sk89q.worldedit.entity.Player-com.sk89q.worldedit.LocalSession-com.sk89q.worldedit.EditSession-int-java.lang.Integer-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>removeBelow</h4>
<pre>public&nbsp;int&nbsp;removeBelow(<a href="../../../../com/sk89q/worldedit/entity/Player.html" title="interface in com.sk89q.worldedit.entity">Player</a>&nbsp;player,
                       <a href="../../../../com/sk89q/worldedit/LocalSession.html" title="class in com.sk89q.worldedit">LocalSession</a>&nbsp;session,
                       <a href="../../../../com/sk89q/worldedit/EditSession.html" title="class in com.sk89q.worldedit">EditSession</a>&nbsp;editSession,
                       @Arg(desc="The apothem of the square to remove from",def="1")
                       int&nbsp;size,
                       @Arg(desc="The maximum height below you to remove from",def="")
                       java.lang.Integer&nbsp;height)
                throws <a href="../../../../com/sk89q/worldedit/WorldEditException.html" title="class in com.sk89q.worldedit">WorldEditException</a></pre>
<dl>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../../../../com/sk89q/worldedit/WorldEditException.html" title="class in com.sk89q.worldedit">WorldEditException</a></code></dd>
</dl>
</li>
</ul>
<a name="removeNear-com.sk89q.worldedit.entity.Player-com.sk89q.worldedit.LocalSession-com.sk89q.worldedit.EditSession-com.sk89q.worldedit.function.mask.Mask-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>removeNear</h4>
<pre>public&nbsp;int&nbsp;removeNear(<a href="../../../../com/sk89q/worldedit/entity/Player.html" title="interface in com.sk89q.worldedit.entity">Player</a>&nbsp;player,
                      <a href="../../../../com/sk89q/worldedit/LocalSession.html" title="class in com.sk89q.worldedit">LocalSession</a>&nbsp;session,
                      <a href="../../../../com/sk89q/worldedit/EditSession.html" title="class in com.sk89q.worldedit">EditSession</a>&nbsp;editSession,
                      @Arg(desc="The mask of blocks to remove")
                      <a href="../../../../com/sk89q/worldedit/function/mask/Mask.html" title="interface in com.sk89q.worldedit.function.mask">Mask</a>&nbsp;mask,
                      @Arg(desc="The radius of the square to remove from",def="50")
                      int&nbsp;radius)
               throws <a href="../../../../com/sk89q/worldedit/WorldEditException.html" title="class in com.sk89q.worldedit">WorldEditException</a></pre>
<dl>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../../../../com/sk89q/worldedit/WorldEditException.html" title="class in com.sk89q.worldedit">WorldEditException</a></code></dd>
</dl>
</li>
</ul>
<a name="replaceNear-com.sk89q.worldedit.entity.Player-com.sk89q.worldedit.LocalSession-com.sk89q.worldedit.EditSession-int-com.sk89q.worldedit.function.mask.Mask-com.sk89q.worldedit.function.pattern.Pattern-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>replaceNear</h4>
<pre>public&nbsp;int&nbsp;replaceNear(<a href="../../../../com/sk89q/worldedit/entity/Player.html" title="interface in com.sk89q.worldedit.entity">Player</a>&nbsp;player,
                       <a href="../../../../com/sk89q/worldedit/LocalSession.html" title="class in com.sk89q.worldedit">LocalSession</a>&nbsp;session,
                       <a href="../../../../com/sk89q/worldedit/EditSession.html" title="class in com.sk89q.worldedit">EditSession</a>&nbsp;editSession,
                       @Arg(desc="The radius of the square to remove in")
                       int&nbsp;radius,
                       @Arg(desc="The mask matching blocks to remove",def="")
                       <a href="../../../../com/sk89q/worldedit/function/mask/Mask.html" title="interface in com.sk89q.worldedit.function.mask">Mask</a>&nbsp;from,
                       @Arg(desc="The pattern of blocks to replace with")
                       <a href="../../../../com/sk89q/worldedit/function/pattern/Pattern.html" title="interface in com.sk89q.worldedit.function.pattern">Pattern</a>&nbsp;to)
                throws <a href="../../../../com/sk89q/worldedit/WorldEditException.html" title="class in com.sk89q.worldedit">WorldEditException</a></pre>
<dl>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../../../../com/sk89q/worldedit/WorldEditException.html" title="class in com.sk89q.worldedit">WorldEditException</a></code></dd>
</dl>
</li>
</ul>
<a name="snow-com.sk89q.worldedit.entity.Player-com.sk89q.worldedit.LocalSession-com.sk89q.worldedit.EditSession-double-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>snow</h4>
<pre>public&nbsp;int&nbsp;snow(<a href="../../../../com/sk89q/worldedit/entity/Player.html" title="interface in com.sk89q.worldedit.entity">Player</a>&nbsp;player,
                <a href="../../../../com/sk89q/worldedit/LocalSession.html" title="class in com.sk89q.worldedit">LocalSession</a>&nbsp;session,
                <a href="../../../../com/sk89q/worldedit/EditSession.html" title="class in com.sk89q.worldedit">EditSession</a>&nbsp;editSession,
                @Arg(desc="The radius of the circle to snow in",def="10")
                double&nbsp;size)
         throws <a href="../../../../com/sk89q/worldedit/WorldEditException.html" title="class in com.sk89q.worldedit">WorldEditException</a></pre>
<dl>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../../../../com/sk89q/worldedit/WorldEditException.html" title="class in com.sk89q.worldedit">WorldEditException</a></code></dd>
</dl>
</li>
</ul>
<a name="thaw-com.sk89q.worldedit.entity.Player-com.sk89q.worldedit.LocalSession-com.sk89q.worldedit.EditSession-double-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>thaw</h4>
<pre>public&nbsp;int&nbsp;thaw(<a href="../../../../com/sk89q/worldedit/entity/Player.html" title="interface in com.sk89q.worldedit.entity">Player</a>&nbsp;player,
                <a href="../../../../com/sk89q/worldedit/LocalSession.html" title="class in com.sk89q.worldedit">LocalSession</a>&nbsp;session,
                <a href="../../../../com/sk89q/worldedit/EditSession.html" title="class in com.sk89q.worldedit">EditSession</a>&nbsp;editSession,
                @Arg(desc="The radius of the circle to thaw in",def="10")
                double&nbsp;size)
         throws <a href="../../../../com/sk89q/worldedit/WorldEditException.html" title="class in com.sk89q.worldedit">WorldEditException</a></pre>
<dl>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../../../../com/sk89q/worldedit/WorldEditException.html" title="class in com.sk89q.worldedit">WorldEditException</a></code></dd>
</dl>
</li>
</ul>
<a name="green-com.sk89q.worldedit.entity.Player-com.sk89q.worldedit.LocalSession-com.sk89q.worldedit.EditSession-double-boolean-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>green</h4>
<pre>public&nbsp;int&nbsp;green(<a href="../../../../com/sk89q/worldedit/entity/Player.html" title="interface in com.sk89q.worldedit.entity">Player</a>&nbsp;player,
                 <a href="../../../../com/sk89q/worldedit/LocalSession.html" title="class in com.sk89q.worldedit">LocalSession</a>&nbsp;session,
                 <a href="../../../../com/sk89q/worldedit/EditSession.html" title="class in com.sk89q.worldedit">EditSession</a>&nbsp;editSession,
                 @Arg(desc="The radius of the circle to convert in",def="10")
                 double&nbsp;size,
                 @Switch(name=102,desc="Also convert coarse dirt")
                 boolean&nbsp;convertCoarse)
          throws <a href="../../../../com/sk89q/worldedit/WorldEditException.html" title="class in com.sk89q.worldedit">WorldEditException</a></pre>
<dl>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../../../../com/sk89q/worldedit/WorldEditException.html" title="class in com.sk89q.worldedit">WorldEditException</a></code></dd>
</dl>
</li>
</ul>
<a name="extinguish-com.sk89q.worldedit.entity.Player-com.sk89q.worldedit.LocalSession-com.sk89q.worldedit.EditSession-java.lang.Integer-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>extinguish</h4>
<pre>public&nbsp;void&nbsp;extinguish(<a href="../../../../com/sk89q/worldedit/entity/Player.html" title="interface in com.sk89q.worldedit.entity">Player</a>&nbsp;player,
                       <a href="../../../../com/sk89q/worldedit/LocalSession.html" title="class in com.sk89q.worldedit">LocalSession</a>&nbsp;session,
                       <a href="../../../../com/sk89q/worldedit/EditSession.html" title="class in com.sk89q.worldedit">EditSession</a>&nbsp;editSession,
                       @Arg(desc="The radius of the square to remove in",def="")
                       java.lang.Integer&nbsp;radius)
                throws <a href="../../../../com/sk89q/worldedit/WorldEditException.html" title="class in com.sk89q.worldedit">WorldEditException</a></pre>
<dl>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../../../../com/sk89q/worldedit/WorldEditException.html" title="class in com.sk89q.worldedit">WorldEditException</a></code></dd>
</dl>
</li>
</ul>
<a name="butcher-com.sk89q.worldedit.extension.platform.Actor-java.lang.Integer-boolean-boolean-boolean-boolean-boolean-boolean-boolean-boolean-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>butcher</h4>
<pre>public&nbsp;int&nbsp;butcher(<a href="../../../../com/sk89q/worldedit/extension/platform/Actor.html" title="interface in com.sk89q.worldedit.extension.platform">Actor</a>&nbsp;actor,
                   @Arg(desc="Radius to kill mobs in",def="")
                   java.lang.Integer&nbsp;radius,
                   @Switch(name=112,desc="Also kill pets")
                   boolean&nbsp;killPets,
                   @Switch(name=110,desc="Also kill NPCs")
                   boolean&nbsp;killNpcs,
                   @Switch(name=103,desc="Also kill golems")
                   boolean&nbsp;killGolems,
                   @Switch(name=97,desc="Also kill animals")
                   boolean&nbsp;killAnimals,
                   @Switch(name=98,desc="Also kill ambient mobs")
                   boolean&nbsp;killAmbient,
                   @Switch(name=116,desc="Also kill mobs with name tags")
                   boolean&nbsp;killWithName,
                   @Switch(name=102,desc="Also kill all friendly mobs (Applies the flags `-abgnpt`)")
                   boolean&nbsp;killFriendly,
                   @Switch(name=114,desc="Also destroy armor stands")
                   boolean&nbsp;killArmorStands)
            throws <a href="../../../../com/sk89q/worldedit/WorldEditException.html" title="class in com.sk89q.worldedit">WorldEditException</a></pre>
<dl>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../../../../com/sk89q/worldedit/WorldEditException.html" title="class in com.sk89q.worldedit">WorldEditException</a></code></dd>
</dl>
</li>
</ul>
<a name="remove-com.sk89q.worldedit.extension.platform.Actor-com.sk89q.worldedit.command.util.EntityRemover-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>remove</h4>
<pre>public&nbsp;int&nbsp;remove(<a href="../../../../com/sk89q/worldedit/extension/platform/Actor.html" title="interface in com.sk89q.worldedit.extension.platform">Actor</a>&nbsp;actor,
                  @Arg(desc="The type of entity to remove")
                  <a href="../../../../com/sk89q/worldedit/command/util/EntityRemover.html" title="class in com.sk89q.worldedit.command.util">EntityRemover</a>&nbsp;remover,
                  @Arg(desc="The radius of the cuboid to remove from")
                  int&nbsp;radius)
           throws <a href="../../../../com/sk89q/worldedit/WorldEditException.html" title="class in com.sk89q.worldedit">WorldEditException</a></pre>
<dl>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../../../../com/sk89q/worldedit/WorldEditException.html" title="class in com.sk89q.worldedit">WorldEditException</a></code></dd>
</dl>
</li>
</ul>
<a name="calc-com.sk89q.worldedit.extension.platform.Actor-java.util.List-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>calc</h4>
<pre>public&nbsp;void&nbsp;calc(<a href="../../../../com/sk89q/worldedit/extension/platform/Actor.html" title="interface in com.sk89q.worldedit.extension.platform">Actor</a>&nbsp;actor,
                 @Arg(desc="Expression to evaluate",variable=true)
                 java.util.List&lt;java.lang.String&gt;&nbsp;input)</pre>
</li>
</ul>
<a name="help-com.sk89q.worldedit.extension.platform.Actor-boolean-int-java.util.List-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>help</h4>
<pre>public&nbsp;void&nbsp;help(<a href="../../../../com/sk89q/worldedit/extension/platform/Actor.html" title="interface in com.sk89q.worldedit.extension.platform">Actor</a>&nbsp;actor,
                 @Switch(name=115,desc="List sub-commands of the given command, if applicable")
                 boolean&nbsp;listSubCommands,
                 @ArgFlag(name=112,desc="The page to retrieve",def="1")
                 int&nbsp;page,
                 @Arg(desc="The command to retrieve help for",def="",variable=true)
                 java.util.List&lt;java.lang.String&gt;&nbsp;command)
          throws <a href="../../../../com/sk89q/worldedit/WorldEditException.html" title="class in com.sk89q.worldedit">WorldEditException</a></pre>
<dl>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../../../../com/sk89q/worldedit/WorldEditException.html" title="class in com.sk89q.worldedit">WorldEditException</a></code></dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../com/sk89q/worldedit/command/ToolUtilCommands.html" title="class in com.sk89q.worldedit.command"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../com/sk89q/worldedit/command/WorldEditCommands.html" title="class in com.sk89q.worldedit.command"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?com/sk89q/worldedit/command/UtilityCommands.html" target="_top">Frames</a></li>
<li><a href="UtilityCommands.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
